curs_addwstr(3X)

NAME
addwstr, addnwstr, waddwstr, waddnwstr, mvaddwstr, mvaddnwstr, mvwaddwstr, mvwaddnwstr - add a wide-character string to a curses window and advance the cursor

SYNOPSIS
#include <curses.h>

int addwstr(const wchar_t *wstr);
int mvaddwstr(int y, int x, const wchar_t *wstr);
int mvwaddwstr(WINDOW *win, int y, int x, const wchar_t *wstr);
int waddwstr(WINDOW *win, const wchar_t *wstr);

int addnwstr(const wchar_t *wstr, int n);
int mvaddnwstr(int y, int x, const wchar_t *wstr, int n);
int mvwaddnwstr(WINDOW *win, int y, int x, const wchar_t *wstr, int n);
int waddnwstr(WINDOW *win, const wchar_t *wstr, int n);

DESCRIPTION
waddwstr writes the characters of the (wide-null-terminated) wide-character string wstr to the window win. Its process is similar to constructing a cchar_t for each wchar_t in wstr, then calling wadd_wch(3X) with the resulting cchar_t. Spacing and non-spacing characters in the string are processed one at a time, and control characters are processed as in wadd_wch(3X).

waddnwstr writes at most n wide characters, or until a terminating wide null character occurs in wstr. If n is -1, waddnwstr writes the entire wide string.

ncurses(3X) describes the variants of these functions.

RETURN VALUE
These functions return OK on success and ERR on failure.

X/Open Curses does not specify any error conditions. ncurses returns an error if the window pointer is NULL, if the string pointer is NULL, or if an internal wadd_wch(3X) call returns an error.

Functions prefixed with “mv” first perform cursor movement and fail if the position (y, x) is outside the window boundaries.

NOTES
All of these functions except waddnwstr may be implemented as macros.

PORTABILITY
X/Open Curses, Issue 4 describes these functions.

SEE ALSO
curs_addstr(3X) describes comparable functions of the ncurses library in its non-wide-character configuration.

curses(3X), curs_add_wch(3X), curs_add_wchstr(3X)